net.sf.jasperreports.charts.util

## Class ChartUtil

- java.lang.Object
- - net.sf.jasperreports.charts.util.ChartUtil

-     public final class ChartUtil
      extends java.lang.Object

  Version:
    $Id: ChartUtil.java 7049 2014-04-24 18:04:06Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChartUtil.WrappingChartRenderableFactory` Deprecated. To be removed.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static double` | `AUTO_TICK_UNIT_FACTOR`
    `protected static double` | `AUTO_TICK_UNIT_THRESHOLD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jfree.chart.axis.TickUnitSource` | `createIntegerTickUnits()` Deprecated. replaced by `createIntegerTickUnits(Locale)`
    `org.jfree.chart.axis.TickUnitSource` | `createIntegerTickUnits(java.util.Locale locale)`
    `org.jfree.chart.axis.TickUnitSource` | `createStandardTickUnits()` Deprecated. replaced by `createStandardTickUnits(Locale)`
    `org.jfree.chart.axis.TickUnitSource` | `createStandardTickUnits(java.util.Locale locale)`
    `ChartRenderableFactory` | `getChartRenderableFactory(java.lang.String renderType)`
    `static ChartRendererFactory` | `getChartRendererFactory(java.lang.String renderType)` Deprecated. Replaced by `getChartRenderableFactory(String)`.
    `static ChartTheme` | `getChartTheme(java.lang.String themeName)` Deprecated. Replaced by `getTheme(String)`.
    `static java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(org.jfree.chart.JFreeChart chart, ChartHyperlinkProvider chartHyperlinkProvider, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D renderingArea)`
    `static ChartUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `ChartTheme` | `getTheme(java.lang.String themeName)`
    `void` | `setAutoTickUnit(org.jfree.chart.axis.NumberAxis numberAxis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTO_TICK_UNIT_THRESHOLD

          protected static final double AUTO_TICK_UNIT_THRESHOLD

      See Also:
        Constant Field Values

    - #### AUTO_TICK_UNIT_FACTOR

          protected static final double AUTO_TICK_UNIT_FACTOR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ChartUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### getImageAreaHyperlinks

          public static java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(org.jfree.chart.JFreeChart chart,
                                                                         ChartHyperlinkProvider chartHyperlinkProvider,
                                                                         java.awt.Graphics2D grx,
                                                                         java.awt.geom.Rectangle2D renderingArea)

    - #### getTheme

          public ChartTheme getTheme(java.lang.String themeName)

    - #### getChartTheme

          public static ChartTheme getChartTheme(java.lang.String themeName)

      Deprecated. Replaced by `getTheme(String)`.

    - #### getChartRenderableFactory

          public ChartRenderableFactory getChartRenderableFactory(java.lang.String renderType)

    - #### getChartRendererFactory

          public static ChartRendererFactory getChartRendererFactory(java.lang.String renderType)

      Deprecated. Replaced by `getChartRenderableFactory(String)`.

    - #### createIntegerTickUnits

          @Deprecated
          public org.jfree.chart.axis.TickUnitSource createIntegerTickUnits()

      Deprecated. replaced by `createIntegerTickUnits(Locale)`

    - #### createIntegerTickUnits

          public org.jfree.chart.axis.TickUnitSource createIntegerTickUnits(java.util.Locale locale)

    - #### createStandardTickUnits

          @Deprecated
          public org.jfree.chart.axis.TickUnitSource createStandardTickUnits()

      Deprecated. replaced by `createStandardTickUnits(Locale)`

    - #### createStandardTickUnits

          public org.jfree.chart.axis.TickUnitSource createStandardTickUnits(java.util.Locale locale)

    - #### setAutoTickUnit

          public void setAutoTickUnit(org.jfree.chart.axis.NumberAxis numberAxis)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com